# Qt initialization script (csh)

# In multilib environments there is a preferred architecture, 64 bit over 32 bit in x86_64,
# 32 bit over 64 bit in ppc64. When a conflict is found between two packages corresponding
# with different arches, the installed file is the one from the preferred arch. This is
# very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
# in an x86_64 package and in an i386 package, the executable from x86_64 will be installe

set ARCH = `uname -m`
set QTVERSION = 3.3

switch ($ARCH)
   case x86_64:
   case ia64:
   case s390:
      set QTPREFIX = /usr/lib64/qt-$QTVERSION
      breaksw
   case *:
      set QTPREFIX = /usr/lib/qt-$QTVERSION
endsw

if ( "${path}" !~ *$QTPREFIX/bin* ) then
   set path = ( $QTPREFIX/bin $path )
endif

if ( $?QTDIR ) then
   exit
endif

setenv QTDIR $QTPREFIX
setenv QTINC $QTPREFIX/include
setenv QTLIB $QTPREFIX/lib
