# Qt initialization script (sh)

# In multilib environments there is a preferred architecture, 64 bit over 32 bit in x86_64,
# 32 bit over 64 bit in ppc64. When a conflict is found between two packages corresponding
# with different arches, the installed file is the one from the preferred arch. This is
# very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
# in an x86_64 package and in an i386 package, the executable from x86_64 will be installe

ARCH=$(uname -m)
QTVERSION=3.3

case $ARCH in
   x86_64 | ia64 | s390 )
      QT_PREFIX=/usr/lib64/qt-$QTVERSION ;;
   * )
      QT_PREFIX=/usr/lib/qt-$QTVERSION ;;
esac

if ! echo ${PATH} | /bin/grep -q $QT_PREFIX/bin ; then
   PATH=$QT_PREFIX/bin:${PATH}
fi

if [ -z "$QTDIR" ] ; then
	QTDIR="$QT_PREFIX"
	QTINC="$QT_PREFIX/include"
	QTLIB="$QT_PREFIX/lib"
fi

export QTDIR QTINC QTLIB PATH
